Bug 919100 - Review Request: crudini - A utility for manipulating ini files
Summary: Review Request: crudini - A utility for manipulating ini files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-07 15:28 UTC by Jakub Ruzicka
Modified: 2013-04-03 04:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 01:59:54 UTC
jruzicka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jakub Ruzicka 2013-03-07 15:28:17 UTC
Spec URL: http://srck.cz/pkg/crudini/crudini.spec
SRPM URL: http://srck.cz/pkg/crudini/crudini-0.1-1.fc18.src.rpm
Description: A utility for manipulating ini files
Fedora Account System Username: jruzicka

Comment 1 Antonio 2013-03-07 16:08:07 UTC
Hi Jakub.

I don't see any License file; it's fundamental.
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

You should seek to add a %check section, a tests directory is available although a instruction file doesn't exist. 
http://fedoraproject.org/wiki/Packaging:Guidelines#Test_Suites

You can use %{name} instead crudimi.

Comment 2 Pádraig Brady 2013-03-08 00:29:39 UTC
I'd update the long description to:
  A utility for easily handling ini files
  from the command line and shell scripts

spec needs:
  Requires: python-iniparse

%check would be something like:
  pushd tests
  ./test.sh
  popd

I've just tagged 0.2 to include the COPYING text
which you can add to %doc

thanks!
Pádraig

Comment 3 Jakub Ruzicka 2013-03-08 14:14:15 UTC
Updated version 0.3:
Spec URL: http://srck.cz/pkg/crudini/crudini.spec
SRPM URL: http://srck.cz/pkg/crudini/crudini-0.3-1.fc18.src.rpm

Changelog:
- New version 0.3 includes COPYING licence file.
- Improved description.
- Added python-iniparse dependency.
- Added tests check.

Comment 4 Jakub Ruzicka 2013-03-08 14:35:07 UTC
Updated version 0.3-2:
Spec URL: http://srck.cz/pkg/crudini/crudini.spec
SRPM URL: http://srck.cz/pkg/crudini/crudini-0.3-2.fc18.src.rpm

Added missing BuildRequires.

Comment 5 Pádraig Brady 2013-03-08 14:54:36 UTC
looks good, thanks!

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/padraig/919100-crudini/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: crudini-0.3-2.fc15.noarch.rpm
crudini.noarch: W: spelling-error Summary(en_US) ini -> uni, in, ii
crudini.noarch: W: spelling-error %description -l en_US ini -> uni, in, ii
crudini.noarch: W: no-manual-page-for-binary crudini
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint crudini
crudini.noarch: I: enchant-dictionary-not-found en_US
crudini.noarch: W: no-manual-page-for-binary crudini
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
crudini (rpmlib, GLIBC filtered):
    /usr/bin/python
    python-iniparse



Provides
--------
crudini:
    crudini



MD5-sum check
-------------
https://github.com/pixelb/crudini/archive/0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 0194fd92314e3c1f53178daf93a69ee95df68766acf53e5d580396cbe6c996ed
  CHECKSUM(SHA256) upstream package : 0194fd92314e3c1f53178daf93a69ee95df68766acf53e5d580396cbe6c996ed


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-15-x86_64
Command line :/usr/bin/fedora-review -b 919100

Comment 6 Matthias Runge 2013-03-11 12:48:35 UTC
Jakub, I sponsored you into the packager group. Please go ahead and request branches.

Comment 7 Jakub Ruzicka 2013-03-11 14:47:11 UTC
New Package SCM Request
=======================
Package Name: crudini
Short Description: A utility for manipulating ini files
Owners: jruzicka
Branches: f17 f18 f19 el6

Comment 8 Gwyn Ciesla 2013-03-12 16:29:00 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-03-13 20:42:54 UTC
crudini-0.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/crudini-0.3-2.fc17

Comment 10 Fedora Update System 2013-03-13 20:44:05 UTC
crudini-0.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/crudini-0.3-2.fc18

Comment 11 Fedora Update System 2013-03-13 20:56:46 UTC
crudini-0.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/crudini-0.3-2.el6

Comment 12 Fedora Update System 2013-03-14 19:10:25 UTC
crudini-0.3-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 13 Fedora Update System 2013-04-03 01:59:56 UTC
crudini-0.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2013-04-03 04:38:52 UTC
crudini-0.3-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 15 Fedora Update System 2013-04-03 04:42:10 UTC
crudini-0.3-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.